<template>
    <div class="button-group">
        <cdx-button
            v-for="button in buttons"
            :key="button.id"
            class="btn"
            @click="button.action"
        >
            {{ button.text }}
        </cdx-button>
    </div>
</template>

<script setup lang="ts">

const props = defineProps<{
    buttons: any;
}>();

</script>


<style scoped lang="scss">
@import '@/scss/buttongroup';

</style>